[package] openssl: fix annoying build errors when changing upstream versions
authorNicolas Thill <nico@openwrt.org>
Sun, 17 May 2009 00:25:41 +0000 (00:25 +0000)
committerNicolas Thill <nico@openwrt.org>
Sun, 17 May 2009 00:25:41 +0000 (00:25 +0000)
SVN-Revision: 15880

package/openssl/Makefile

index 11a9ef2..55c9a1c 100644 (file)
@@ -93,8 +93,9 @@ endef
 TARGET_CFLAGS += $(FPIC)
 
 define Build/Compile
-       rm -rf $(PKG_INSTALL_DIR)
-       mkdir -p $(PKG_INSTALL_DIR)
+       # XXX: OpenSSL "make depend" will look for installed headers before its own,
+       # so remove installed stuff first
+       -$(SUBMAKE) -j1 clean-staging
        $(MAKE) -C $(PKG_BUILD_DIR) \
                MAKEDEPPROG="$(TARGET_CROSS)gcc" \
                OPENWRT_OPTIMIZATION_FLAGS="$(TARGET_CFLAGS)" \